Hex: src/dwba.cpp File Reference

| Hex 2.2 Hydrogen-electron collision solver

Namespaces | Functions
dwba.cpp File Reference
`#include "hex-arrays.h"`
`#include "hex-hydrogen.h"`
`#include "hex-gausskronrod.h"`
`#include "hex-special.h"`
`#include "potential.h"`
`#include "dwba.h"`
`#include "wave_distort.h"`
Include dependency graph for dwba.cpp:

## Namespaces

| DWBA1

## Functions

Complex | DWBA1::computeDirect1e (DistortingPotential const &U, int l, double k)
Complex | DWBA1::computeExchange1e (DistortingPotential const &U, int Ni, int Li, double ki, int Nf, int Lf, double kf)
Complex | DWBA1::computeDirect2e (const DistortingPotential &U, int lambda, int Nf, int Lf, double kf, int lf, int Ni, int Li, double ki, int li)
Complex | DWBA1::computeExchange2e (const DistortingPotential &U, int lambda, int Nf, int Lf, double kf, int lf, int Ni, int Li, double ki, int li)
void | dwba (int Ni, int Li, double ki, int Nf, int Lf, double kf, int L, cArrays &Tdir, cArrays &Texc, double rmax, bool direct, bool exchange)
| Distorted-wave Born approximation. More...

## Function Documentation

## ◆ dwba()

void dwba | ( | int | Ni,
|  | int | Li,
|  | double | ki,
|  | int | Nf,
|  | int | Lf,
|  | double | kf,
|  | int | L,
|  | cArrays & | Tdir,
|  | cArrays & | Texc,
|  | double | rmax,
|  | bool | direct = `true`,
|  | bool | exchange = `true`
| ) |  |

This function computes all contributions to the T-matrix for the specified total angular momentum L in the Born approximation of the first-order. The contributions depend on all such "li" and "lf" that the following conditions must be satisfied: |li - Li| <= L <= li + Li |lf - Lf| <= L <= lf + Lf This results in the following bounds on "li" and "lf": |Li - L| <= li <= Li + L |Lf - L| <= lf <= Lf + L

Parameters

  Ni | Initial atomic state.
  Li | Initial atomic state.
  Nf | Final atomic state.
  Lf | Final atomic state.
  ki | Initial projectile momentum.
  kf | Final projectile momentum.
  L | Total angular momentum.
  Tdir | List of direct scattering T-matrices for all allowed "lf".
  Texc | List of exchange scattering T-matrices for all allowed "lf".
  rmax | Maximal grid radius.
  direct | Whether to compute direct scattering contributions.
  exchange | Whether to compute exhange scattering contributions.